Oneport Docs
ApiV1WorkspacesSlugChangelogsChangelogid

/v1/workspaces/{slug}/changelogs/{changelogId}

PATCH
/v1/workspaces/{slug}/changelogs/{changelogId}

Path Parameters

slug*string
changelogId*string

Request Body

application/json

Changelog changes; publish=true sets publishedAt

TypeScript Definitions

Use the request body type in TypeScript.

title?string
content?string
publish?boolean
postIds?array<string>

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/acme/changelogs/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "title": "string",  "slug": "string",  "content": "string",  "publishedAt": "string",  "postIds": [    "string"  ],  "createdAt": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}